/*************************************************************************************************************************************************
**				                               Small RTOS(51)
**                                   The Real-Time Kernel(For Keil c51)
**
**                                  (c) Copyright 2002-2003, chenmingji
**                                           All Rights Reserved
**
**                                                  V1.20.0
**
**
**--------------ļϢ--------------------------------------------------------------------------------------------------------------------------
**      : CONFIG.H
**      : 
**޸: 2010501
**衡      : صͷļ
**
**--------------ǰ汾޶----------------------------------------------------------------------------------------------------------------------
**        : V1.20.0
**ա      : 2010501
**衡      : °汾ҪɾTaskFuctionض
**
**--------------ǰ汾޶----------------------------------------------------------------------------------------------------------------------
**      : 
**ա      :
**衡      :
**
**------------------------------------------------------------------------------------------------------------------------------------------------

/*************************************************************************************************************************************************/
/*    ָģ                                                                                                                             */
/*************************************************************************************************************************************************/
#define  SetSecurityLevel_Command 		0x04					// ָʶģ鰲ȫȼ
#define  SetPwd_Command 				0x07					// ָʶģ¼
#define  VerifyPwd_Command 				0x08					// ָ֤ģ¼

#define  Enroll_Command 				0x10					// Ǽָ¼ָģ屣ڲMB_BUF
#define  UpLoadMB_Command 				0x11					// ڲMB_BUFеָģϴ
#define  Feature_Command 				0x12					// ɼָɼָڲTZ_BUF
#define  UpLoadTZ_Command 				0x13					// ڲTZ_BUFеָϴ
#define  DownLoadMB_Command 			0x14					// һöָڲMB_BUF
#define  DownLoadTZ_Command 			0x15					// һöָģ嵽ڲTZ_BUF
#define  ClearMB_Command 				0x20					// ָƿ
#define  InsertMB_Command 				0x21					// ָƿвһöָ
#define  DeleteMB_Command 				0x22					// ָƿɾһöָ
#define  ReadFromMBLib_Command 			0x23					// ָƿжȡһöָƵMB_BUF
#define  Verify_Command 				0x30					// ָƱȶTZ_BUFMB_BUFеģбȽ
#define  Search_Command 				0x31					// ʹTZ_BUFеָָģ⣬ƥɹID
#define  SampleSearch_Command 			0x32					// ɼָͼָָģ⣬ƥɹID
#define  ImageToTz_Command 				0x42					// ڲIMG_BUFеͼ浽TZ_BUF
#define  ReadPage_Command 				0x70					// ȡûҳ
#define  WritePage_Command 				0x71					// дݵûҳ
/*************************************************************************************************************************************************/
/*************                                   ָģ                                                           ****************/
/*************************************************************************************************************************************************/ 
#define	 C_OK 							0x00					// ɹ
#define	 C_CMDTIMEOUT 					0x01					// ʱ
#define	 C_CMDBREAK 					0x02					// ж
#define	 C_CMDERR 						0x03					// ִ
#define	 C_CMDPARAERR 					0x04					// 
#define	 C_CMDCRCERR 					0x05					// Уʹ
#define	 C_SECURITYOVERFLOW 			0x06					// ȫԽ
#define	 C_BUADRATEOVERFLOW 			0x07					// Խ
#define	 C_NOFIG 						0x19					// ָϢ
#define	 C_PWDERR 						0x1B					// Ա
#define	 C_PWDVOERCOUNT 				0x1C					// ֤ָ
#define	 C_NOTVERIFYPWD 				0x1D					// δ֤
#define	 C_ITEMNOTFOUND 				0x21					//  (ԱڲŲƥ)
#define	 C_PAGEINDEOVERFLOW 			0x23					// ҳԽ
#define	 C_DUPCLERK 					0x24					// 
#define	 C_CLERKNOTFOUND 				0x25					// 
#define	 C_INDEXFULL 					0x26					// Խ
#define	 C_FIGIMGERR 					0x30					// 涨ʱδɼָͼ
#define	 C_FIGENRERR 					0x31					// ָƵ¼ʧ
#define	 C_FIGCMPERR 					0x32					// ָƱȶʧ
#define	 C_FIGEXTERR 					0x33					// ָƲ
#define	 C_FIGTIMEOUT 					0x34					// ָƲʱ
#define	 C_FIGMBBUFEMPTY 				0x35					// MB_BUF//Ϊ
#define	 C_FIGTZBUFEMPTY 				0x36					// TZ_BUF//Ϊ
#define	 C_FIGINVALIDMB 				0x37					// Чָģ
#define	 C_FIGMBINDEXERROR 				0x38					// ָģ
#define	 C_FIGNOVALIDMB 				0x39					// ָģûƥģ
#define	 C_FIGSEARCHERROR 				0x3A					// ָģ
#define	 C_VERIFY_ERROR 				0x3B					// ָ֤
#define	 C_IMAGEERROR 					0x40	 				// ͼȴ󣬲
#define	 C_IMAGEOVERFLOW 				0x60					// ָͼ
#define	 C_UPDATEDATEERROR 				0x61					// ʱ
#define	 C_UPDATECRCERROR 				0x62					// ʱУʹ
#define	 C_NOIMAGE 						0x63					// ûвɼָͼ
#define	 C_FIDERROR 					0x70					// FID//ģ
#define	 C_FIDACKERROR 					0x71					// FID//ģ,شӦ
#define	 C_TOOFEWFEATURES 				0x72					// ָģе̫
#define	 C_MEMALLOCERR 					0x80					// ڴ
#define	 C_BREAK 						0x81					// ж
#define	 C_CRCERROR 					0x82					// Уʹ
#define	 C_NOTOK 						0xFF					// ͨô
#define	 C_TASTE 						0x88					// ģʽ


/*************************************************************************************************************************************************
**                                                                  
**************************************************************************************************************************************************/
