/************************************************************************************************************************************************
**				                                      
**															
**                                                     з
**                                                
**														        
**                                                    2010.05.01
**                                                        
**												  
**
**--------------ļϢ-------------------------------------------------------------------------------------------------------------------------
**       : main.c
**       : 
** ޸: 20100501
**         : 
**
**--------------ǰ汾޶---------------------------------------------------------------------------------------------------------------------
**       :
** ա      :
** 衡      :
**
**-----------------------------------------------------------------------------------------------------------------------------------------------
*************************************************************************************************************************************************/
#include "config.h"
/************************************************************************************************************************************************/
/*     ȫֱ                                                                                                                             */
/************************************************************************************************************************************************/	   	 
bit    SerialCanSend = 1;                                  		// ڷͱ־0ڷ
uint8  xdata Uart_Receive[256];									// ڻ     										
uint8  OS_Q_MEM_SEL  SerialInData [15];              		    // մϢ,С-4              
uint8  OS_Q_MEM_SEL  SerialOutData[18];             		    // ʹϢ,С-4
uint8  OS_Q_MEM_SEL  KeyInData[5];             		        	// ֵϢ,  С-4 
uint8  OS_Q_MEM_SEL  SoundInData[5];							// Ϣ,    С-4
uint8  OS_Q_MEM_SEL  PwdKeyInData[5];

bit    BeepSwitch;
bit    SystemBusy;												// ϵͳæ־Ϊ
uint8  idata UserController;									// ûԱ
uint8  PackID;
uint8  PackLength;
uint8  PowerFlag = 0;

uint8  PwdCount;
uint8  count;
uint8  KeyPwd[6] = {0}; 
uint8  EnrollKey[6] = {0};
uint32 KeyTime; 
/************************************************************************************************************************************************/
/*     鶨                                                                                                                             */
/************************************************************************************************************************************************/
uint8  const UartSucceed[13]   = {0x1A,0x72,0x73,0x00,0x08,0xB0,0x01,0x00,0x3B,0x00,0x00,0x3B,0x2E};
uint8  const UartFail[13]      = {0x1A,0x72,0x73,0x00,0x08,0xB0,0x01,0x00,0x3B,0x01,0x00,0x3C,0x30};
/************************************************************************************************************************************************/
/*                                                                                                                                  */
/************************************************************************************************************************************************/
void   UartTask     (void);				                     	// ڴ
void   PwdKeyTask   (void); 
void   PwdKeyVerfyTask  (void);
/************************************************************************************************************************************************/
/*     ú                                                                                                                             */
/************************************************************************************************************************************************/
// ָͨѶ  
uint8  GetImg(void);
uint8  GenChar(uint8 Buffer_ID); 
uint8  FingerEmpty(void); 											                // ָƿ

uint8  GetImgToChar(uint8 BufferID);								                // ¼ͼļ
uint8  Search(uint8 BufferID, uint16 Start_Add, uint16 SearchNum, uint8 *Finger);	// ָ
uint8  CheckXOR(uint8 *cpCrcBuf,uint8 Length); 						                // Уλ
uint8  ReadPacket(uint8 *Command, uint8 TimeCount); 				                // ָģӦ
void   SendFingerCommand(void);										                // һָģ
void   UartSend(uint8 *Datar,uint8 cLength);	 					                // һݰ
void   PutChar(uint8 Datap);									    	            // һֽݺ


uint8  Facility_ModeFingerEnrol (void);
void   BeepSwitchUser(void);
uint8  CountersignFinger1(void);

uint8  PwdKey_Scan(void);

uint8  DeleteFlag;
uint8  EnrollFlag;
uint8  SavePwdFlag; 
uint8  VerfyPwdFlag; 
uint8  NoSearchFlag;
uint8  PowerDownFlag;
/************************************************************************************************************************************************
** : init
** : ʼһڶ񻷾ǰ
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------------------
**   :
** ա  :
**-----------------------------------------------------------------------------------------------------------------------------------------------
** ˵    :
*************************************************************************************************************************************************/
void init(void)
{
	 P4SW           = 0x70;			// P4.4, P4.5, P4.6ΪIO
	 AUXR1 		    = 0;
	 // GPIO          
	 P0M0       	= 0x40; 	    // 0010 0000  P0.0:SEA;P0.1:INIT; P0.2:REG; P0.3:CLR;P0.4:CS; P0.5:WTVDATA;; P0.7:WTVRST; P0.6:POWER;
     P0M1       	= 0x00;	        // 0000 0000
	 P1M0       	= 0x20; 	    // 0000 1000  P1.0:CMP_V ;P1.5:FINGERPOWER; 
     P1M1       	= 0x00;	        // 0000 0000
	 P2M0       	= 0x10; 	    // 0010 0000  P2.4:BEEP; P2.7:DI;  P2.6:DO; P2.1:BUSY;
     P2M1       	= 0x00;	        // 0000 0000   
     P3M0      	 	= 0x28; 	    // 0011 0000  P3.3MOTOR+; P3.5:MOTOR-; P3.7:WTVRST;  
     P3M1       	= 0x00;	        // 0000 0000
	 P4M0      	 	= 0x00; 	    // 0000 0010  P4.1:CLK; P4.6:BUSY; 
     P4M1       	= 0x00;			// 0000 0000

	 // ʼGPIO   
	 POWER_HOLD     = 1;					 
	 MOTOR_OPEN     = 0;
	 MOTOR_CLOSE    = 0;
	 SPI_CS		    = 1; 
	 FINGER_POWER   = 1; 
	 BEEP_OUT		= 1;

	 PowerDownFlag  = 0;
	 NoSearchFlag   = 0;
	 count   = 0;
	 KeyTime = 0;
	 EnrollFlag = 0xff;
	 SavePwdFlag = 0;
	 VerfyPwdFlag= 0;
	 DeleteFlag = 0xff;

	 WTV_DATA       = 1;
	 WTV_RST        = 0;
	 //ϵͳжʹöʱ0жƵ
	 TMOD       	= 0x01; 
     TH0        	= (65536 - (Fosc / 12) / OS_Time) / 256;
     TL0        	= (65536 - (Fosc / 12) / OS_Time) % 256;
	 ET0        	= 1;
	 TR0       		= 1;				                      			// ϵͳĶʱ
     // ͨѶʼ             
     SCON       	= 0x50;                                 			// ڹڷʽ1   
     PS         	= 1;            									// жȼ
     ES         	= 1;                                    			// ж  
	 REN            = 1;            									// 
	 BRT			= 256 - (Fosc / Baub / 32);							// ôڲ
	 AUXR       	= 0x15;												// ڲ
	 // ȴϵͳȶ
	 while(1)
	 {
	 	 if ((PCON & 0x20) == 0)
		 {
		 	 break;
		 }
		 PCON 	   &= 0xDF;
		 _nop_();
		 _nop_();
		 _nop_();
		 _nop_();
		 _nop_();
	 }
	 // ʼ			                       				
	 ComebackData();													// Flashжȡͷ
	 SystemBusy     = 0;
	 WTV040_RST_L();													// ʼоƬ
	 // ʼŹ
	 WDT_CONTR  	= 0x3B;                                 			// Ź567.8ms
}


** : main
** : ûִ
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: init(),OSInit()
**
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------------------
**   :
** ա  :
**-----------------------------------------------------------------------------------------------------------------------------------------------
** ˵    :
************************************************************************************************************************************************/
void main(void)
{
     OSInit();	   														// ϵͳʼ	   
     init();	 										
	 OSQCreate(PwdKeyInData, 5);
	 OSQCreate(SerialInData, 15);				                        // մϢ 
     OSQCreate(SerialOutData,18); 				                        // ʹϢ
	 /* ***************************************************  ½  ******************************************************** */
	 /* *****************************************************************************************************************************
	 : OSTaskCreate(, ջλΪNULL,  ȼ);
 	 ****************************************************************************************************************************** */
     	 OSTaskCreate(UartTask,            NULL,      OS_UART_TASK_PRIO  );	  // ڽ	
	 OSTaskCreate(PwdKeyTask,          NULL,      OS_PWDKEY_TASK_PRIO );
	 OSTaskCreate(PwdKeyVerfyTask,     NULL,      OS_PWDKEYVERFY_TASK_PRIO );
	 /* **************************************************  ϵͳ  ******************************************************* */
     while(1)
     {
         PCON = PCON | 0x01;                             				// CPU״̬  
		 WDT_CONTR   = 0x3B;                             				// ι 567.8ms     
     }
}

uint8 PwdVerfyData(void)
{
	 uint8 i,j;
	 uint8 TempleteKey[30];
/*
	 if(!PwdCount)
	 {
//	 	return 1;
		if((KeyPwd[0]==0)&&(KeyPwd[1]==1)&&(KeyPwd[2]==2)&&(KeyPwd[3]==0)&&(KeyPwd[4]==1)&&(KeyPwd[5]==2))
		{
			return 1;
		}
		else
		{
			return 0;
		}
	 }
 */
     for(j=0;j<6;j++)
	 {
		 for (i=0; i<30; i++)	   	           // 
		 {
		      TempleteKey[i] = Byte_Read(j+1,i);
		 }
		 for (i=0; i<5; i++)
		 {
		     if((TempleteKey[i*6]==KeyPwd[0])&&(TempleteKey[i*6+1]==KeyPwd[1])&&(TempleteKey[i*6+2]==KeyPwd[2])&&(TempleteKey[i*6+3]==KeyPwd[3])&&(TempleteKey[i*6+4]==KeyPwd[4])&&(TempleteKey[i*6+5]==KeyPwd[5]))
			 {
			 	return 1;
			 }		
		 }
	 }
	 return 0;
}

void SavePwdKeyData(void)
{
	 uint8 i;
	 uint8 TempleteData[30];

	 for (i=0; i<30; i++)	   	            // 
	 {
	     TempleteData[i] = Byte_Read(PwdCount/5+1,i);
	 }

	 Sector_Erase(PwdCount/5+1);		    // 

	 for (i=0; i<6; i++)
	 {
		 TempleteData[(PwdCount%5)*6+i]= KeyPwd[i];
         
	 }

	 for(i=0;i<30;i++)
	 {
	 	Byte_Program(PwdCount/5+1,i,TempleteData[i]);
	 }

	 PwdCount++;
	 SaveConcernmentData();
}


/************************************************************************************************************************************************
** : UartTask
** : ͨѶ
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: 
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------------------
**   :
** ա  :
**-----------------------------------------------------------------------------------------------------------------------------------------------
** ˵    :
*************************************************************************************************************************************************/
void UartTask(void)
{
     while(1)
     { 
		  OSWait(K_TMO,OS_TICKS_PER_SEC);	
		  Power_TypeOperate(0);  
		  if (WTV040_Speech() == TRUE)
		  {
		  	  Power_TypeOperate(1);
		  }	
		  OSWait(K_TMO,OS_TICKS_PER_SEC); 														  	 
     }									 
}




/************************************************************************************************************************************************
*******************************************************	           			     ****************************************************************
*******************************************************				             ****************************************************************
*******************************************************	        ָģ麯     ****************************************************************
*******************************************************				             ****************************************************************
*******************************************************				             ****************************************************************									  
************************************************************************************************************************************************/

/*************************************************************************************************************************************************
** : FingerEmpty
** : ָƿ
** 䡡  : ClearMB:
** 䡡  : TRUE:  ɹ
			 FALSE: ʧ
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    : 
*************************************************************************************************************************************************/
uint8  FingerEmpty(void)
{
	  uint8 sCommand;
	  uint8 i,temp;
	  for (i=0; i<3; i++)
	  {
	       // ָ
//	       OPEN_POWER_FPC();
		   Uart_Receive[7]   = 0x00;
	       Uart_Receive[8]   = 0x03;
	       Uart_Receive[9]   = 0x0d;
	       SendFingerCommand();
	       // ָ
		   temp = ReadPacket(&sCommand,OS_TICKS_PER_SEC/3);
		   if ((temp == TRUE) & (sCommand == C_OK))  // շ
	       {
	  	       return TRUE;
	       }
//		   OSWait(K_TMO,OS_TICKS_PER_SEC/50);
	  }
	  return FALSE;
}

/************************************************************************************************************************************
** : RegModel
** : Bufferеļģ
** 䡡  : 
** 䡡  : TRUE:  ָƺϳģɹ
			 FALSE: ָƺϳģʧ
** ȫֱ: 
** ģ: 
**
**   : պ
** ա  : 20080515
**-----------------------------------------------------------------------------------------------------------------------------------
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------
** ˵    :
************************************************************************************************************************************/
uint8 RegModel(void)
{
      uint8 temp;
	  uint8 sCommand;
	  // ָ	
      Uart_Receive[7]    = 0x00;              // ݰ  
	  Uart_Receive[8]    = 0x03;
	  Uart_Receive[9]    = 0x05;
      SendFingerCommand(); 				   			// 
	  // ָ
	  temp = ReadPacket(&sCommand,OS_TICKS_PER_SEC);
	  if ((temp == TRUE) & (sCommand == C_OK))  	// շ
	  {
	  	  return TRUE;											// ģϳɳɹ
	  }
	  return FALSE;												// ģϳʧ

}
/************************************************************************************************************************************
** : StoreChar
** : ɵģ浽FLASHȥ
** 䡡  : Start_Add:	ָƿλú
** 䡡  : TRUE:  ɹ
			 FALSE: ʧ 
** ȫֱ: 
** ģ: 
**
**   : պ
** ա  : 20080515
**-----------------------------------------------------------------------------------------------------------------------------------
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------
** ˵    :
************************************************************************************************************************************/ 
uint8 StoreChar(uint8 Buffer_ID,uint16 Start_Add)
{
	  uint8 temp;
	  uint8 sCommand;
	  // ָ
	  Uart_Receive[7]    = 0x00;                     // ݰ  
	  Uart_Receive[8]    = 0x06;
	  Uart_Receive[9]    = 0x06;
   	  Uart_Receive[10]   = Buffer_ID;      
      Uart_Receive[11]   = (uint8)(Start_Add >> 8);  // ָƴŵַΪʼַΪ00Ѿ洢ָΪXöһŵĵַΪX+1λã
      Uart_Receive[12]   = (uint8)(Start_Add);
      SendFingerCommand();    			             // 
	  // ָ
	  temp = ReadPacket(&sCommand,OS_TICKS_PER_SEC);
	  if ((temp == TRUE) & (sCommand == C_OK))       // շ
	  {
	  	  return TRUE;
	  }
	  return FALSE;
}

/************************************************************************************************************************************************
** : Search
** : ָ
** 䡡  : BufferID:   ֵָ
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 20080515
** ˵    :
*************************************************************************************************************************************************/
uint8 Search(uint8 BufferID, uint16 Start_Add, uint16 SearchNum, uint8 *Finger)
{
	  uint8 sCommand;
      uint8 temp;
	  // ָ
	  Uart_Receive[7]   = 0x00;
	  Uart_Receive[8]   = 0x08;
	  Uart_Receive[9]   = 0x04;
	  Uart_Receive[10]  = BufferID;
	  Uart_Receive[11]  = (uint8)(Start_Add >>8); 
	  Uart_Receive[12]  = (uint8)(Start_Add);
	  Uart_Receive[13]  = (uint8)(SearchNum >> 8);	// ҳ
	  Uart_Receive[14]  = (uint8)(SearchNum);
	           
	  SendFingerCommand();
	  // ָ
	  temp = ReadPacket(&sCommand,OS_TICKS_PER_SEC);
	  if ((temp == TRUE) & (sCommand == C_OK))  // շ
	  {
	  	  *(Finger+0) = Uart_Receive[0];
	      *(Finger+1) = Uart_Receive[1];
		  *(Finger+2) = Uart_Receive[2];
	      *(Finger+3) = Uart_Receive[3];
	      return TRUE;
	  }
	  OSWait(K_TMO,OS_TICKS_PER_SEC/50);
	 	  
	  return FALSE;
}

/************************************************************************************************************************************
** : GetImg
** : ¼ָ
** 䡡  : 
** 䡡  : TRUE:  ¼ָƳɹ
			 FALSE: ¼ָʧ
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 20080515
**-----------------------------------------------------------------------------------------------------------------------------------
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------
** ˵    :
************************************************************************************************************************************/
uint8 GetImg(void) 
{
	  uint8 temp;
	  uint8 sCommand;	 
	  // ָ
      Uart_Receive[7]    = 0x00;              // ݰ  
	  Uart_Receive[8]    = 0x03;
	  Uart_Receive[9]  	 = 0x01;
      SendFingerCommand();                    // 
	  OSQFlush(SerialInData);
	  // ָ
	  temp = ReadPacket(&sCommand,OS_TICKS_PER_SEC/2);
	  if ((temp == TRUE) & (sCommand==C_OK))
	  {
		  return TRUE;	   					  // ɹ¼ָ 
	  }
	  if (temp == C_NOTOK)
	  {
	      CLOSE_POWER_FPC();
		  OSTimeDly(OS_TICKS_PER_SEC/20);	  // ʱʱ40ms
		  OPEN_POWER_FPC();
	  }	
	  return FALSE;	   	   
}
/************************************************************************************************************************************
** : GenChar
** : ļŵBuffer_Num 
** 䡡  : Buffer_ID: ֻ12
** 䡡  : TRUE:  ɹ
			 FALSE: ʧ 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------
**   : 
** ա  : 
**-----------------------------------------------------------------------------------------------------------------------------------
** ˵    :
************************************************************************************************************************************/
uint8 GenChar(uint8 Buffer_ID)
{  
    uint8 temp;
	uint8 sCommand;

	// ָ
	Uart_Receive[7]    = 0x00;                // ݰ  
	Uart_Receive[8]    = 0x04;
	Uart_Receive[9]    = 0x02;
	Uart_Receive[10]   = Buffer_ID;       
    SendFingerCommand();      		          // 
	// ָ
	temp = ReadPacket(&sCommand,OS_TICKS_PER_SEC);
	if ((temp == TRUE) & (sCommand == C_OK))  // շ
	{
	    return TRUE;						    
	}
    if (temp == C_NOTOK)
	{
	    CLOSE_POWER_FPC();
	    OSTimeDly(OS_TICKS_PER_SEC/20);	 // ʱʱ40ms
	    OPEN_POWER_FPC();
	}	

}
/************************************************************************************************************************************************
** : GetImgToChar
** : ¼ͼļ
** 䡡  : BufferID:   ֵָ
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
*************************************************************************************************************************************************/
uint8 GetImgToChar(uint8 BufferID)
{
	  uint8 i;
	  for (i=40; i!=0; i--)
	  {
		   if (GetImg() == TRUE)			// ¼ָͼ
		   {
			   break;
		   }
	  }
	  if (i == 0)
	  {
	  	  return FALSE;
	  }
	  if (GenChar(BufferID) == TRUE)  		// ͼתָ
	  {
		  return TRUE;
	  }	
	  return FALSE;	 	  
}


/*************************************************************************************************************************************************
** : CheckXOR
** : Уλ
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
*************************************************************************************************************************************************/
uint8 CheckXOR(uint8 *cpCrcBuf,uint8 Length)
{
	  uint8 i;
	  uint8 result;
	  result = 0;
	  for (i = 0; i<Length; i++)
	  {
		  result ^= *cpCrcBuf++;
	  }
	  return (result);
}

/************************************************************************************************************************************************
** : SendFingerCommand
** : һָģ
** 䡡  :   
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   :  
** ա  : 20090505
** ˵    :
*************************************************************************************************************************************************/
void SendFingerCommand(void)
{        
	 uint8 i;
	 uint16 CheckSum;
	 CheckSum=0;
	 Uart_Receive[0] = 0xef;	  									// Ͱͷ
	 Uart_Receive[1] = 0x01;
	 Uart_Receive[2] = 0xff;
	 Uart_Receive[3] = 0xff;
	 Uart_Receive[4] = 0xff;
	 Uart_Receive[5] = 0xff;
	 Uart_Receive[6] = 0x01;									
	 CheckSum = Uart_Receive[6]+Uart_Receive[7]+Uart_Receive[8]+Uart_Receive[9];
	 for(i=0;i<	Uart_Receive[8]-3;i++)
	 {
	 	 CheckSum+=Uart_Receive[10+i];
	 } 
	 Uart_Receive[Uart_Receive[8]+7]=(uint8)(CheckSum>>8);
	 Uart_Receive[Uart_Receive[8]+8]=(uint8)CheckSum; 
	 UartSend(Uart_Receive,Uart_Receive[8] + 9);				 	// ڷ
}

/*************************************************************************************************************************************************
** : ReadPacket
** : ָģӦ
** 䡡  : Command:   հָ
             TimeCount: ʱʱ
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
*************************************************************************************************************************************************/
uint8 ReadPacket(uint8 *Command, uint8 TimeCount)
{
	  uint8   temp,i;
	  uint16  CommandSum;
	  uint16  CheckSum;
	  uint8   InstCode;
	  uint8   sLength;
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ͷ1			    	
	  {
	  	  return C_NOTOK;
	  }
	  if (temp != 0xef) {return C_NOTOK;}
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ͷ2    	
	  {
	  	  return C_NOTOK;
	  }
	  if (temp != 0x01) {return C_NOTOK;}
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ַ	1		    	
	  {
	  	  return C_NOTOK;
	  }
	  if (temp != 0xff) {return C_NOTOK;}
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ַ2			    	
	  {
	  	  return C_NOTOK;
	  }
	  if (temp != 0xff) {return C_NOTOK;}											   
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ַ3			    	
	  {
	  	  return C_NOTOK;
	  }
	  if (temp != 0xff) {return C_NOTOK;}
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ַ4			    	
	  {
	  	  return C_NOTOK;
	  }
	  if (temp != 0xff) {return C_NOTOK;}
	  CommandSum          = 0;
	  if (OSQPend(&temp,SerialInData,TimeCount) != OS_Q_OK)	  				// ʶ			    	
	  {
	  	  return C_NOTOK;
	  }
	  PackID = temp;
	  CommandSum        += temp;
	  if (OSQPend(&temp,SerialInData,OS_TICKS_PER_SEC/50) != OS_Q_OK)  		// ȸ 	
	  {
	  	  return C_NOTOK;
	  }
	  CommandSum         += temp;
	  if (OSQPend(&temp,SerialInData,OS_TICKS_PER_SEC/50) != OS_Q_OK)	 	// ȵ
	  {
	  	  return C_NOTOK;
	  }
	  PackLength          = temp;
	  sLength             = temp;
	  CommandSum         += temp; 
	  if (OSQPend(&temp,SerialInData,OS_TICKS_PER_SEC/50) != OS_Q_OK)    	// ȷ
	  {
	  	  return C_NOTOK;
	  }
	  InstCode            = temp;
	  CommandSum         += temp;
	  for (i=0; i<sLength-3; i++)						 					// 
	  {
	  	   if (OSQPend(&temp,SerialInData,OS_TICKS_PER_SEC/50) != OS_Q_OK)
	       {
	  	       return C_NOTOK;
	       }
	  	   Uart_Receive[i] = temp;
		   CommandSum     += temp;
	  }
	  if (OSQPend(&temp,SerialInData,OS_TICKS_PER_SEC/50) != OS_Q_OK)	 	// У͸
	  {
	  	  return C_NOTOK;
	  }
	  CheckSum = temp*256;
	  if (OSQPend(&temp,SerialInData,OS_TICKS_PER_SEC/50) != OS_Q_OK)	 	// У͵
	  {
	  	  return C_NOTOK;
	  }
	  CheckSum += temp;
	  if (CheckSum != CommandSum) 						 					// Ƿ
	  {
	  	  return C_NOTOK;
	  }
	  *Command = InstCode;
	  return TRUE;
}

/************************************************************************************************************************************************
** : UartSend
** : һݰ
** 䡡  : Datar  ָҪ͵ָ  
             cLength: ֽ
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
************************************************************************************************************************************************/
void UartSend(uint8 *Datar,uint8 cLength)
{
	 do
     {
         PutChar(*(Datar++));
     }   while (--cLength != 0);
}

/************************************************************************************************************************************************
** : PutChar
** : һֽ
** 䡡  : Data͵
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
*************************************************************************************************************************************************/
void PutChar(uint8 Datap)
{
     OS_ENTER_CRITICAL();			                                   // ж               
     if (SerialCanSend == 1)
     {
         SerialCanSend = 0;
         SBUF          = Datap;                                        // ڿУֱӷ   
     }
     else
     {   
	     while (1)													   
		 {
		     if (OSQPost(SerialOutData,Datap) == OS_Q_FULL)
		     {
		 	     OSWait(K_TMO,2);			                           // ݶʱ
		     }
			 else
			 {
			 	 break;												   // ݳɹ
			 }
		 }
     }
     OS_EXIT_CRITICAL();				                               // ж               
} 


/************************************************************************************************************************************************
** : Uart_Comm
** : жϴ
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
*************************************************************************************************************************************************/
void Uart_Comm(void) interrupt 4
{
     uint8  temp;
	 OS_INT_ENTER();					                              // жϿʼ    
	 /* *******    ****** */
	 if (RI == 1)
	 {    
		 RI = 0;
		 OSQIntPost(SerialInData,SBUF);					              // Ϣ	    
	 }
	 /* *******    ****** */
	 if (TI == 1)
	 {
		 TI = 0;
		 if (OSQAccept(&temp,SerialOutData) == OS_Q_OK)	              // ǷϢ	
		 {
		     SBUF = temp;							                  // Ӵڷ  
		 }
		 else
		 {
		     SerialCanSend = 1;										  // ڿ
		 }
	 }
	 OSIntExit();					                                  // жϽ    	
}




/************************************************************************************************************************************************
** : OPEN_POWER_FPC
** : ָģԴ
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
************************************************************************************************************************************************/
void OPEN_POWER_FPC(void)
{
	 POWER_FPC_ON();					     // ģԴ	 	 
	 OSWait(K_TMO,OS_TICKS_PER_SEC/2);	 	 // ȴָģ鸴λ
}

/************************************************************************************************************************************************
** : CLOSE_POWER_FPC
** : رָģԴ			 
** 䡡  : 
** 䡡  : 
** ȫֱ: 
** ģ: 
**
**   : 
** ա  : 
** ˵    :
************************************************************************************************************************************************/
void CLOSE_POWER_FPC(void)
{
	 POWER_FPC_OFF();					 	// رģԴ
}



/*****************************************************************   END  **********************************************************************/